Setup error on MacBook with OS X 10.14.2

Published by Deden 77 on Tue, 01/15/2019 - 20:54
Status
Works as designed
Product/platform
MCreator/macOS
Priority
Normal
Issue description

Hello,

I recently installed MCreator on a MacBook Pro with "Mac OS Mojave (10.14.2)".

But, during the installation, I encountered an error in the 3rd step of the configuration ...

So here is a copy of the error code:

 

Executing gradle command: cleanCache clean setupDecompWorkspace --refresh-dependencies
Build info: MCreator 1.8.1, 64-bit, 8192 MB, Mac OS X - bash, JVM 1.8.0_191, JAVA_HOME: Default (not set)
FAILURE: Build failed with an exception.
* What went wrong:
Could not determine java version from '11.0.1'.
* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
Task completed with return code 1 in 13832 milliseconds

 

 

Thank you for your support !

(Excuse me for my English, I'm French and I'm using Google Translate ...)

Issue comments

You are using Java 11, where MCreator only supports Java 8. Check this page for more info: https://mcreator.net/install/mac

You need to have Java 8 as default Java on your computer (JAVA_HOME) and the moment.

Verify this by running java -version to make sure Java 8 is used.



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.